app-id: org.gajim.Gajim
runtime: org.gnome.Platform
runtime-version: 3.30
sdk: org.gnome.Sdk
command: gajim
tags: nightly
desktop-file-name-prefix: '(Nightly) '
finish-args:
  - --share=ipc
  - --share=network
  - --socket=fallback-x11
  - --socket=wayland
  - --socket=pulseaudio
  - --system-talk-name=org.freedesktop.GeoClue2
  - --system-talk-name=org.freedesktop.login1
  - --talk-name=org.gnome.ScreenSaver
  - --talk-name=org.mpris.MediaPlayer2.*
  # Keyring
  - --talk-name=org.freedesktop.secrets
  # dconf
  - --filesystem=xdg-run/dconf
  - --filesystem=~/.config/dconf:ro
  - --talk-name=ca.desrt.dconf
  - --env=DCONF_USER_CONFIG_DIR=.config/dconf
  # GnuPG
  - --filesystem=~/.gnupg
  # extensions
  - --env=PYTHONPATH=/app/plugins/lib/python3.7/site-packages

add-extensions:
  org.gajim.Gajim.Plugin:
    directory: plugins
    merge-dirs: lib/python3.7/site-packages
    subdirectories: true
    no-autodownload: true
    autodelete: true

cleanup:
  - '/bin/easy*'
  - /include
  - /lib/debug
  - /lib/pkgconfig
  - /lib/python2.7
  - /share/aclocal
  - /share/doc
  - /share/gtk-doc
  - /share/man
  - '*.a'
  - '*.la'

modules:
  - name: python3-pycparser
    buildsystem: simple
    build-commands:
      - pip3 install --prefix=/app .
    sources:
      - type: archive
        url: https://files.pythonhosted.org/packages/68/9e/49196946aee219aead1290e00d1e7fdeab8567783e83e1b9ab5585e6206a/pycparser-2.19.tar.gz
        sha256: a988718abfad80b6b157acce7bf130a30876d27603738ac39f140993246b25b3

  - name: python3-cffi
    buildsystem: simple
    build-commands:
      - pip3 install --prefix=/app .
    sources:
      - type: archive
        url: https://files.pythonhosted.org/packages/64/7c/27367b38e6cc3e1f49f193deb761fe75cda9f95da37b67b422e62281fcac/cffi-1.12.2.tar.gz
        sha256: e113878a446c6228669144ae8a56e268c91b7f1fafae927adc4879d9849e0ea7

  - name: python3-asn1crypto
    buildsystem: simple
    build-commands:
      - pip3 install --prefix=/app asn1crypto-0.24.0-py2.py3-none-any.whl
    sources:
      - type: file
        url: https://pypi.python.org/packages/ea/cd/35485615f45f30a510576f1a56d1e0a7ad7bd8ab5ed7cdc600ef7cd06222/asn1crypto-0.24.0-py2.py3-none-any.whl
        sha256: 2f1adbb7546ed199e3c90ef23ec95c5cf3585bac7d11fb7eb562a3fe89c64e87

  - name: python3-idna
    buildsystem: simple
    build-commands:
      - pip3 install --prefix=/app idna-2.8-py2.py3-none-any.whl
    sources:
      - type: file
        url: https://files.pythonhosted.org/packages/14/2c/cd551d81dbe15200be1cf41cd03869a46fe7226e7450af7a6545bfc474c9/idna-2.8-py2.py3-none-any.whl
        sha256: ea8b7f6188e6fa117537c3df7da9fc686d485087abf6ac197f9c46432f7e4a3c

  - name: python3-cryptography
    buildsystem: simple
    build-commands:
      - python3 setup.py install --prefix=/app
    sources:
      - type: archive
        url: https://files.pythonhosted.org/packages/07/ca/bc827c5e55918ad223d59d299fff92f3563476c3b00d0a9157d9c0217449/cryptography-2.6.1.tar.gz
        sha256: 26c821cbeb683facb966045e2064303029d572a87ee69ca5a1bf54bf55f93ca6

  - name: python3-pyopenssl
    buildsystem: simple
    build-commands:
      - pip3 install --prefix=/app pyOpenSSL-19.0.0-py2.py3-none-any.whl
    sources:
      - type: file
        url: https://files.pythonhosted.org/packages/01/c8/ceb170d81bd3941cbeb9940fc6cc2ef2ca4288d0ca8929ea4db5905d904d/pyOpenSSL-19.0.0-py2.py3-none-any.whl
        sha256: c727930ad54b10fc157015014b666f2d8b41f70c0d03e83ab67624fd3dd5d1e6

  - name: python3-dbus-python
    build-options:
      env:
        PYTHON_VERSION: '3'
    sources:
      - type: archive
        url: https://files.pythonhosted.org/packages/3f/e7/4edb582d1ffd5ac3c84188deea32e960b5c8c0fe1da56ce70224f85ce542/dbus-python-1.2.8.tar.gz
        sha256: abf12bbb765e300bf8e2a1b2f32f85949eab06998dbda127952c31cb63957b6f

  - name: python3-jeepney
    buildsystem: simple
    build-commands:
      - pip3 install --prefix=/app jeepney-0.4-py3-none-any.whl
    sources:
      - type: file
        url: https://files.pythonhosted.org/packages/2b/f7/ff23b9b59534f501d47c327576aadda59da5b83d76ff837e6075bc325b9f/jeepney-0.4-py3-none-any.whl
        sha256: f6f8b1428403b4afad04b6b82f9ab9fc426c253d7504c9031c41712a2c01dc74

  - name: python3-secretstorage
    buildsystem: simple
    build-commands:
      - pip3 install --prefix=/app SecretStorage-3.1.1-py3-none-any.whl
    sources:
      - type: file
        url: https://files.pythonhosted.org/packages/82/59/cb226752e20d83598d7fdcabd7819570b0329a61db07cfbdd21b2ef546e3/SecretStorage-3.1.1-py3-none-any.whl
        sha256: 7a119fb52a88e398dbb22a4b3eb39b779bfbace7e4153b7bc6e5954d86282a8a

  - name: python3-entrypoints
    buildsystem: simple
    build-commands:
      - pip3 install --prefix=/app entrypoints-0.3-py2.py3-none-any.whl
    sources:
      - type: file
        url: https://files.pythonhosted.org/packages/ac/c6/44694103f8c221443ee6b0041f69e2740d89a25641e62fb4f2ee568f2f9c/entrypoints-0.3-py2.py3-none-any.whl
        sha256: 589f874b313739ad35be6e0cd7efde2a4e9b6fea91edcc34e58ecbb8dbe56d19

  - name: python3-keyring
    buildsystem: simple
    build-commands:
      - pip3 install --prefix=/app keyring-18.0.0-py2.py3-none-any.whl
    cleanup:
      - /bin
    sources:
      - type: file
        url: https://files.pythonhosted.org/packages/a1/28/0058032477bfdf2003e605d175629963759220661615443e20711446bfa7/keyring-18.0.0-py2.py3-none-any.whl
        sha256: ca33f5ccc542b9ffaa196ee9a33488069e5e7eac77d5b81969f8a3ce74d0230c

  - name: python3-cssutils
    buildsystem: simple
    build-commands:
      - pip3 install --prefix=/app cssutils-1.0.2-py3-none-any.whl
    cleanup:
      - /bin
    sources:
      - type: file
        url: https://files.pythonhosted.org/packages/6b/15/a9fb9010f58d1c55dd0b7779db2334feb9a572d407024f39a60f44293861/cssutils-1.0.2-py3-none-any.whl
        sha256: c74dbe19c92f5052774eadb15136263548dd013250f1ed1027988e7fef125c8d

  - name: python3-precis_i18n
    buildsystem: simple
    build-commands:
      - pip3 install --prefix=/app precis_i18n-1.0.0-py3-none-any.whl
    sources:
      - type: file
        url: https://files.pythonhosted.org/packages/08/9d/d32f1b7c6d280c82a786b629ba89bd9e3e8409b9e23a7309f76a78e46971/precis_i18n-1.0.0-py3-none-any.whl
        sha256: f6942bbffec698d0d7e30c42f589f3f6da13e723d047997d0761a41facf2986f

  - name: gspell
    cleanup:
      - /bin
    sources:
      - type: archive
        url: https://download.gnome.org/sources/gspell/1.8/gspell-1.8.1.tar.xz
        sha256: 819a1d23c7603000e73f5e738bdd284342e0cd345fb0c7650999c31ec741bbe5

  - name: python3-nbxmpp
    buildsystem: simple
    build-commands:
      - pip3 install --prefix=/app .
    sources:
      - type: git
        url: https://dev.gajim.org/gajim/python-nbxmpp.git

  - name: gajim
    buildsystem: simple
    build-commands:
      - pip3 install --prefix=/app .
      - touch /app/share/run-as-flatpak
    sources:
      - type: git
        url: https://dev.gajim.org/gajim/gajim.git
    post-install:
      - install -d /app/plugins
